Current-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: Building netbsd-5 on OS X 10.6 (Snow Leopard)

On 25 Dec 2009, at 23:19, Thor Lancelot Simon wrote:
> The following workarounds and patch come *close* to allowing building
> the netbsd-5 branch on OS X 10.6 (Snow Leopard):

All which is necessary on my system is to apply this patch:

Index: tools/compat/compat_defs.h
RCS file: /cvsroot/src/tools/compat/compat_defs.h,v
retrieving revision
diff -u -r1.67.2.1 compat_defs.h
--- tools/compat/compat_defs.h  15 Jan 2009 04:32:35 -0000
+++ tools/compat/compat_defs.h  20 Dec 2009 20:00:17 -0000
@@ -38,7 +38,6 @@
 #include <sys/stat.h>
 #include <errno.h>
 #include <fcntl.h>
-#include <grp.h>
 #include <limits.h>
 #include <paths.h>
 #include <stdarg.h>
@@ -76,6 +75,9 @@
 /* We don't include <pwd.h> here, so that "compat_pwd.h" works. */
 struct passwd;
+/* We don't include <grp.h> here, so that "compat_pwd.h" works. */
+struct group;
 /* Assume an ANSI compiler for the host. */
 #undef __P

I can build a full NetBSD/i386 from both the "netbsd-5" and "netbsd-5-0" 
afterwards without setting any environment variables (on a 64bit host!).

I've already submitted this patch to release engineering.

        Kind regards

Matthias Scheler                 

Home | Main Index | Thread Index | Old Index